### this section below is required for the compliance pipeline to function
### project pipelines must be included first at the top of compliance pipeline configuration to prevent projects overriding settings downstream.
include:  # Execute individual project's configuration (if project contains .gitlab-ci.yml)
 - project: '$CI_PROJECT_PATH'
   file: '$CI_CONFIG_PATH'
   ref: '$CI_COMMIT_REF_NAME' # Must be defined or MR pipelines always use the use default branch


cylon_detector:  
  stage: .pipeline-policy-pre
  script:
    - echo "This job is enforced to ensure all employes submit for testing with Dr Baltar.  He is definintely trustworthy"
    - echo "I can define this job once in my compliance pipelines, and all Projects that consume it, will automatically run this job"
  rules:
    - if: '$CI_COMMIT_TAG || $CI_COMMIT_BRANCH'
      when: always
  allow_failure: false


cylon_test:
  stage: .pipeline-policy-pre
  ##setting the needs[] to empty string, such that burrito_test does not need to wait on any previous jobs/stages to complete. 
  ##default behavior is for jobs in a stage only to execute once the previous stage is fully completed
  needs: []
  script:
    - echo "run the tests.   All good and trustworthy results"
    - echo "If a version of this job exists in the local project pipeline, the Compliance Pipeline defined job takes precedence"
    - echo "If a version of this job doesn't exist in the local project pipeline, this job will simply be executed (based on rules)"
  rules:
    - if: '$CI_COMMIT_TAG || $CI_COMMIT_BRANCH'
      when: always
  allow_failure: false
 



